// Copyright 2018 The Operator-SDK Authors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package k8sutil

const (
	// KubeConfigEnvVar defines the env variable KUBERNETES_CONFIG which
	// contains the kubeconfig file path.
	KubeConfigEnvVar = "KUBERNETES_CONFIG"

	// WatchNamespaceEnvVar is the constant for env variable WATCH_NAMESPACE
	// which is the namespace that the pod is currently running in.
	WatchNamespaceEnvVar = "WATCH_NAMESPACE"

	// OperatorNameEnvVar is the constant for env variable OPERATOR_NAME
	// wich is the name of the current operator
	OperatorNameEnvVar = "OPERATOR_NAME"

	// PrometheusMetricsPort defines the port which expose prometheus metrics
	PrometheusMetricsPort = 60000

	// PrometheusMetricsPortName define the port name used in kubernetes deployment and service
	PrometheusMetricsPortName = "metrics"
)
